From 5a07111005b570875da8796f91b385edc483c0da Mon Sep 17 00:00:00 2001
From: "Wesierski, Lukasz" <lukasz.wesierski@intel.com>
Date: Mon, 24 Feb 2020 05:27:13 -0800
Subject: [PATCH] Fix for building separated dynamic llvm libs

Change-Id: I3796e7a925e32bfee2dfda60fbaa3f21122e62cb
---
 IGC/CMakeLists.txt | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/IGC/CMakeLists.txt b/IGC/CMakeLists.txt
index 8634c456..891a3f5b 100644
--- a/IGC/CMakeLists.txt
+++ b/IGC/CMakeLists.txt
@@ -82,7 +82,6 @@ set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # ================================================ Flags ===============================================
 
-
 # Escapes text for regular expressions.
 #
 # @param retValName Name of variable placeholder where result will be returned.
@@ -3309,12 +3308,18 @@ else()
         "LLVMDemangle"
         )
 
-    if(LLVM_VERSION_MAJOR EQUAL 8)
+    if(LLVM_VERSION_MAJOR GREATER_EQUAL 8)
         list(APPEND IGC_BUILD__LLVM_LIBS_TO_LINK
           "LLVMInstCombine"
           )
     endif()
 
+    if(LLVM_VERSION_MAJOR GREATER_EQUAL 9)
+        list(APPEND IGC_BUILD__LLVM_LIBS_TO_LINK
+          "LLVMBitstreamReader"
+          )
+    endif()
+
 endif()
 
 # ==================================== WrapperLLVM package =============================================
-- 
2.24.1

